<launch>

  <node pkg="tf2_ros" type="static_transform_publisher" name="tf_main_left"
        args="0 0.48 -0.4 1.57 0.52 0 main left"/>
  <node pkg="tf2_ros" type="static_transform_publisher" name="tf_main_right"
        args="0 -0.32 -0.4 -1.57 0.52 0  main right"/>

  <node type="rviz" name="demo_rviz" pkg="rviz" args="-d $(find pe_simulation_demo)/rviz/demo.rviz" />
	
	<node ns="main" pkg="pcl_ros" type="pcd_to_pointcloud" name="main_pcd" args="$(find pe_simulation_demo)/data/data_-0_3_Lidar_Main_Pandar40P.pcd 0.1">
	  <param name="frame_id" value="main"/>
	</node>

	<node ns="right" pkg="pcl_ros" type="pcd_to_pointcloud" name="right_pcd" args="$(find pe_simulation_demo)/data/data_-0_3_Lidar_Right_PandarQT.pcd 0.1">
	  <param name="frame_id" value="right"/>
	</node>

	<node ns="left" pkg="pcl_ros" type="pcd_to_pointcloud" name="right_pcd" args="$(find pe_simulation_demo)/data/data_-0_3_Lidar_Left_PandarQT.pcd 0.1">
	  <param name="frame_id" value="left"/>
	</node>

</launch>
